com.io7m.r2.filters

## Class R2ShaderFilterFogDepthQuadraticInverse

- java.lang.Object
- - com.io7m.r2.core.shaders.provided.R2AbstractShader<R2ShaderFilterFogParameters>
  - - com.io7m.r2.filters.R2ShaderFilterFogDepth
    - - com.io7m.r2.filters.R2ShaderFilterFogDepthQuadraticInverse

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShaderFilterType<R2ShaderFilterFogParameters>, R2ShaderFilterUsableType<R2ShaderFilterFogParameters>, R2ShaderScreenType<R2ShaderFilterFogParameters>, R2ShaderScreenUsableType<R2ShaderFilterFogParameters>, R2ShaderType<R2ShaderFilterFogParameters>, R2ShaderUsableType<R2ShaderFilterFogParameters>

      public final class R2ShaderFilterFogDepthQuadraticInverse
      extends R2ShaderFilterFogDepth

  A shader that renders inverse quadratic fog based on depth.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2ShaderFilterType<R2ShaderFilterFogParameters>` | `newShader(com.io7m.jcanephora.core.api.JCGLShadersType in_shaders, R2ShaderPreprocessingEnvironmentReadableType in_shader_env, R2IDPoolType in_pool)` Construct a new shader.

    - ### Methods inherited from class com.io7m.r2.filters.R2ShaderFilterFogDepth

      `onReceiveFilterValues, onValidate, shaderParametersType`

    - ### Methods inherited from class com.io7m.r2.core.shaders.provided.R2AbstractShader

      `delete, isDeleted, onActivate, onDeactivate, shaderID, shaderProgram`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, shaderID, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### newShader

          public static R2ShaderFilterType<R2ShaderFilterFogParameters> newShader(com.io7m.jcanephora.core.api.JCGLShadersType in_shaders,
                                                                                  R2ShaderPreprocessingEnvironmentReadableType in_shader_env,
                                                                                  R2IDPoolType in_pool)

      Construct a new shader.
      Parameters:
        `in_shaders` - A shader interface
        `in_shader_env` - Shader sources
        `in_pool` - The ID pool
      Returns:
        A new shader

Copyright © 2017 <code@io7m.com> http://io7m.com